UndoManager (jEdit API Documentation)
Date: 2017-03-18

org.gjt.sp.jedit.buffer

## Class UndoManager

- java.lang.Object
- - org.gjt.sp.jedit.buffer.UndoManager

-     public class UndoManager
      extends java.lang.Object

  A class internal to jEdit's document model. You should not use it directly. To improve performance, none of the methods in this class check for out of bounds access, nor are they thread-safe. The `Buffer` class, through which these methods must be called through, implements such protection.
  Since:
    jEdit 4.0pre1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndoManager(JEditBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginCompoundEdit()`
    `boolean` | `canRedo()`
    `boolean` | `canUndo()`
    `void` | `clear()`
    `void` | `contentInserted(int offset, int length, java.lang.String text, boolean clearDirty)`
    `void` | `contentRemoved(int offset, int length, java.lang.String text, boolean clearDirty)`
    `void` | `endCompoundEdit()`
    `java.lang.Object` | `getUndoId()`
    `boolean` | `insideCompoundEdit()`
    `Selection[]` | `redo()`
    `void` | `resetClearDirty()`
    `void` | `setLimit(int limit)`
    `Selection[]` | `undo()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UndoManager

          public UndoManager(JEditBuffer buffer)

  - ### Method Detail

    - #### setLimit

          public void setLimit(int limit)

    - #### clear

          public void clear()

    - #### canUndo

          public boolean canUndo()

    - #### undo

          public Selection[] undo()

    - #### canRedo

          public boolean canRedo()

    - #### redo

          public Selection[] redo()

    - #### beginCompoundEdit

          public void beginCompoundEdit()

    - #### endCompoundEdit

          public void endCompoundEdit()

    - #### insideCompoundEdit

          public boolean insideCompoundEdit()

    - #### getUndoId

          public java.lang.Object getUndoId()

    - #### contentInserted

          public void contentInserted(int offset,
                                      int length,
                                      java.lang.String text,
                                      boolean clearDirty)

    - #### contentRemoved

          public void contentRemoved(int offset,
                                     int length,
                                     java.lang.String text,
                                     boolean clearDirty)

    - #### resetClearDirty

          public void resetClearDirty()